function w = getOmega()
omega = 0.5;
K = 0.185;
T = 107.3/2.5;
nom = [K]; 
den = [T, 1, 0];
sys = tf(nom, den);

K_p = 0.1; T_d = 14; 
cntrl_nom = [T_d + K_p, K_p]; 
cntrl_den = [1 2];
cntrl = tf(cntrl_nom,cntrl_den);
H_o = tf([1 0],[1 omega/10]);

close_loop = cntrl* sys / (1+cntrl *sys);
sys_lag = angle(freqresp(close_loop, omega));
H_o_lag = angle(freqresp(H_o, omega))*3; % Three H_o's in series
w = sys_lag + H_o_lag;