function [x2 y2] = naca5(N, k_1, m)
        x = 0:1/N:1;
        I = find(x>=m);
        i = I(1);
        y = zeros(1, length(x));
        y(1:i) = k_1/6 *(  x(1:i).^3 - 3*m*x(1:i).^2 + m^2*(3-m)*x(1:i)  );
        y(i:length(x)) =  k_1 *m^3/6*(1-x(i:length(x)));
        x2 = [x x(length(x):-1:1)];
        y2 = [y -y(length(y):-1:1)];
end