K = 0.185;
T1 = 118.0;
T2 = 7.8;
T3 = 18.5;
T = T1 + T2 - T3;
nom = [K];
den = [T, 1, 0];
omega = 0.5;
sys = tf(nom, den);
n_filt = 10;

o_l = tf(nom, den);
K_p = 0.1;
T_d = 14;
cntrl_nom = [T_d + K_p, K_p];
cntrl_den = [1 2];
cntrl = tf(cntrl_nom,cntrl_den);
c_l = cntrl* sys / (1+cntrl *sys);
resp_at_omega = freqresp(c_l, omega);
phase_lag = acos(real(resp_at_omega)/ sqrt(imag(resp_at_omega)^2 + real(resp_at_omega)^2));
abs_lag = (phase_lag  -45/180*pi)/omega;
phi_a_hat_0 = abs_lag + 10;
omega_lag_seeker   = omega / 20;

T2 = T*2;
den2 = [T2, 1, 0];
sys2 = tf(nom, den2);
c_l2 = cntrl* sys2 / (1+cntrl *sys2);
resp_at_omega2= freqresp(c_l2, omega);
phase_lag2 = abs(angle(resp_at_omega2));

H_o = tf([1 0],[1 omega/10]);
lag_omega = angle(freqresp(H_o, omega));